MS Access Tips/Sample and VBA and Blog customize etc...

jQuery1.6.1 が出ていた

毎度、ワンテンポ遅れで気がついているのですが、5月12日付けでjQueryの最新版の1.6.1が公開されてました。

attr()が若干パフォーマンスアップされているようです。

jQuery1.6.attr(

jQuery1.6.attr(

jQuery1.6.val()(

また、1.5.2から1.6のバージョンアップで非互換(コードの書き換えが必用)の部分があったのが破棄され、コードの変更無しで、1.5以前からバージョンアップ可能になったそうです。

1.6.1 リリース:CodeZine

しかし、当ブログでは 1.5以上にバージョンアップして、IE7以前でアクセスすると強制終了するという状態になっていました。

1.5 導入でIE7クラッシュ - hatena chips

このまま、jQueryがバージョンアップしていくのを指をくわえて見ているのもしゃくなので、、、、

難易度:

まずは、1.6.1 にバージョンアップ、GoogleAPIsから読み込んでいるので、その部分のコードの数字 1.4.2 を 1.6.1 に変更するだけ。

IETesterのIE7でアクセス、案の定、クラッシュ。

そこで、当ブログで使用しているjQueryプラグインを見直してみることに。

まず、クラッシュが発生する箇所を観察していると、ブログタイトルを読み込んだ直後当たりなので、タイトルにドロップシャドウを付けるプラグイン

jQueryでドロップシャドウ - hatena chips

があやしいと目星を付けて、その部分のコードを削除。

そしてMYブログへアクセス、エラーメッセージが数回出ますが、クラッシュせずに読み込み完了。

ということでドロップシャドウが原因と判明。2年以上前のものだし、現在は、CSS3 でドロップシャドウも簡単にできるので、未練もなくドロップシャドウプラグインは外す事に決定しました。

これで、当分は、jQuery の最新版が利用できそうです。


拍手する

3 Comments

月 says...""

> 毎度、ワンテンポ遅れで気がついている

RSSを購読されてはどうでしょう~
http://feeds.feedburner.com/jquery/

2011.05.24 15:35 | URL | #- [edit]
hatena says...""

> RSSを購読されてはどうでしょう~

そうか、RSS か。よくみるが、どう使うのかイマイチわからんかった。
RSSリーダーを使えばいいのか。ちょっと調べてみよっ!!

2011.05.24 16:19 | URL | #5uE6dEgY [edit]
月 says...""

私はGoogleアカウントを持っているので、Google リーダーを使っています。

2011.05.24 16:30 | URL | #- [edit]

Leave a reply






Trackbacks

trackback URL
http://hatenachips.blog34.fc2.com/tb.php/305-1e5b66ee
該当の記事は見つかりませんでした。